<?php
//Initialization
$conf_media_icon_general = unserialize($conf['media_icon_general']);

//Save config
if (isset($_POST['submit'])) { 
	//New parameters
	$conf_media_icon_general['style'] = $_POST['media_icon_style'];
	
	//Save
	conf_update_param('media_icon_general', serialize($conf_media_icon_general));
	array_push($page['infos'], l10n('Information data registered in database'));
}

//Parameters of the template
$template->assign('media_icon_style',$conf_media_icon_general['style']);
$template->assign(
	'media_icon_style_selected',
	array(
		'logo' => (($conf_media_icon_general['style'] == 'logo') ? 'selected = "selected"' : ""),
		'photo' => (($conf_media_icon_general['style'] == 'photo') ? 'selected = "selected"' : ""),
		'folder' => (($conf_media_icon_general['style'] == 'folder') ? 'selected = "selected"' : ""),
		'foldercolor' => (($conf_media_icon_general['style'] == 'foldercolor') ? 'selected = "selected"' : ""),
	)
);

//Add our template to the global template
$template->set_filenames(
	array(
		'plugin_admin_content' => dirname(__FILE__).'/admin_general.tpl'
	)
);
 
//Assign the template contents to ADMIN_CONTENT
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>